import { ITagInputOptions } from './ITagInputOptions';
export declare class TagInput<T> {
    private readonly data;
    private readonly getId;
    private readonly getLabel;
    private readonly newItemFactory;
    private readonly enableSuggestions;
    private readonly minCharsBeforeShowingSuggestions;
    private readonly maxNumberOfSuggestions;
    private readonly allowNewTags;
    private readonly tagDataSeparator;
    private readonly validTagCharacters;
    private readonly allowUpperCase;
    private readonly onTagAdded;
    private readonly onTagRemoved;
    private readonly onTagsChanged;
    private readonly tagInputContainer;
    private readonly tagInputHiddenInput;
    private readonly tagInputTextInput;
    private readonly tagInputSuggestionDropdown;
    private readonly globalCssClassPrefix;
    private readonly placeholderText;
    private readonly htmlTemplate;
    private readonly itemTemplate;
    private readonly suggestionTemplate;
    private readonly currentSelection;
    private readonly warningClass;
    private readonly narrowedInputClass;
    private readonly multiCaseInputClass;
    private readonly suggestionDropdownClass;
    private readonly suggestionDropdownHiddenClass;
    private readonly suggestionClass;
    private readonly selectedSuggestionClass;
    constructor(options: ITagInputOptions<T>);
    getValue(): string;
    focus(): void;
    updateData(data: T[]): void;
    private addTag;
    private getTextInputValue;
    private getHiddenInputValue;
    private showTagInput;
    private hideTagInput;
    private clearTagInput;
    private updateHiddenInput;
    private showSuggestions;
    private hideSuggestions;
    private removeTag;
    private searchTags;
}
